using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class RangerGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.RangersGuild; } }

		[Constructable]
		public RangerGuildmaster() : base( "ranger" )
		{
			SetSkill( SkillName.Hiding, 75.0, 98.0 );
			SetSkill( SkillName.MagicResist, 75.0, 98.0 );
			SetSkill( SkillName.Tactics, 65.0, 88.0 );
			SetSkill( SkillName.Archery, 90.0, 100.0 );
			SetSkill( SkillName.Tracking, 90.0, 100.0 );
			SetSkill( SkillName.Stealth, 60.0, 83.0 );
			SetSkill( SkillName.Fencing, 36.0, 68.0 );
			SetSkill( SkillName.Swords, 45.0, 68.0 );
		}

		public override void InitOutfit()
		{
			AddItem( new StuddedArms() );
			AddItem( new StuddedChest() );
			AddItem( new StuddedGloves() );
			AddItem( new StuddedGorget() );
			AddItem( new StuddedLegs() );
			AddItem( new LeatherCap() );
			AddItem( new Boots() );

			switch ( Utility.Random( 4 ) )
			{
				case 0: AddItem( new Bow() );			break;
				case 1: AddItem( new Bow() );			break;
				case 2: AddItem( new Crossbow() );		break;
				case 3: AddItem( new HeavyCrossbow() );	break;
			}
		}

		public override void InitSBInfo()
		{
			SBInfos.Add( new SBBowyer() );
			SBInfos.Add( new SBRangedWeapon() );
			SBInfos.Add( new SBLeatherArmor() ); 
			SBInfos.Add( new SBStuddedArmor() ); 
			SBInfos.Add( new SBGuildRanger() );
		}

		public RangerGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}